#comment out if not prerelease
%define pre b3

%define rel 9

%define cairo_version 0.5

%define minimum_build_nspr_version 4.7.2
%define minimum_build_nss_version 3.12

Name:           kompozer
Version:        0.8
Release:        %mkrel %{?pre:0.%pre.}%{rel}
Summary:        Web Authoring System
Group:          Development/Other
License:        GPLv2+ or LGPLv2+ or MPL
URL:            http://www.kompozer.net/
Source0:        http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}%{?pre}-src.tar.bz2
Source1:        %{name}-debian-manpage
Patch0:         %{name}-0.8b1-CVE-2009-3560.diff
Patch1:         %{name}-libpng15.patch
Patch2:         %{name}-0.8b3-gcc-4.7.patch
Patch3:         %{name}-0.8b3-NS_DEFCALL.patch
Patch4:         %{name}-0.8b3-mga-www-browser.patch
Patch5:         kompozer-0.8b3-freetype.patch
Patch6:         kompozer-0.8b3-str-fmt.patch
Patch7:         kompozer-0.8b3-crmf.patch
BuildRequires:  nspr-devel >= 4.7.2
BuildRequires:  nss-devel >= 3.12
BuildRequires:  nss-static-devel >= 3.12
BuildRequires:  cairo-devel >= 0.5
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  zip
BuildRequires:  libxt-devel
BuildRequires:  libIDL-devel
BuildRequires:  pkgconfig(pangox)
Requires:       desktop-common-data
Provides:       nvu = 1
Obsoletes:      nvu < 1

%description
A complete Web authoring system for Linux Desktop users, similar to
Microsoft Windows programs like FrontPage and Dreamweaver.

KompoZer is an unofficial branch of Nvu, previously developed by
Linspire Inc.

It makes managing a Web site a snap. Now anyone can create Web pages
and manage a Web site with no technical expertise or HTML knowledge.

Features

* WYSIWYG editing of pages, making Web creation as easy as typing a
   letter with your word processor.

* Integrated file management via FTP.  Simply log in to your Web
   site and navigate through your files, editing Web pages on the
   fly, directly from your site.

* Reliable HTML code creation that works with today's most popular
   browsers.

* Jump between WYSIWYG editing mode and HTML using tabs.

* Tabbed editing to make working on multiple pages a snap.

* Powerful support for frames, forms, tables, and templates.


%prep
%setup -q -c %{name}-%{version}
%patch0 -p0 -b .CVE-2009-3560
%patch1 -p0 -b .libpng15
%patch2 -p0 -b .gcc47
%patch3 -p0 -b .ns_defcall
%patch4 -p0 -b .www-browser
%patch5 -p1 -b .ft
%patch6 -p1 -b .str-fmt
%patch7 -p1 -b .crmf

#remove .mozconfig
rm -rf mozilla/.mozconfig

%build
export CFLAGS="%{optflags} -fno-stack-protector"
export CXXFLAGS="%{optflags} -fno-stack-protector"
export LDFLAGS="%{ldflags}"

cd mozilla/
cp composer/config/mozconfig.fedora .mozconfig
#echo "mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj-kompozer" >> .mozconfig
# this is for x64 and x32 compatibility when installing: 
# echo "mk_add_options \"CONFIGURE_ARGS= --libdir %{_libdir}\"" >> .mozconfig
echo "ac_add_options --libdir=%{_libdir}" >> .mozconfig
echo "ac_add_options --with-default-mozilla-five-home=%{_libdir}/%{name}" >> .mozconfig

make -f client.mk build_all

%install

pushd obj-%{name}/xpfe/components && %__make ; popd
pushd obj-%{name} && %__make install DESTDIR=%{buildroot} ;popd

# Remove internal myspell directory and myspell dicts.
# dh_install symlinks it to /usr/share/myspell where all myspell-* dicts place their stuff
rm -rf %{buildroot}/%{_libdir}/%{name}/components/myspell
# Remove exec bit from .js files to prevent rpmlint warnings.
chmod -x %{buildroot}/%{_libdir}/%{name}/components/*.js

rm -rf %{buildroot}/usr/include/
rm -rf %{buildroot}/%{_datadir}/idl/

#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%_real_vendor-%{name}.desktop <<EOF
[Desktop Entry]
Name=KompoZer
GenericName=Web Authoring System
GenericName[bg]=Система за създаване на уеб страници
GenericName[cs]=Autorský webový systém
GenericName[da]=Webudviklingssystem
GenericName[de]=Web-Gestaltungssystem
GenericName[el]=Σύστημα δημιουργίας διαδικτυακού περιεχομένου
GenericName[es]=Sistema de autoría web
GenericName[fi]=Verkkosivujen teko-ohjelma
GenericName[fr]=Système de création de contenu Web
GenericName[hu]=Weboldal szerkesztő
GenericName[it]=Sistema di Authoring Web
GenericName[ja]=Web オーサリングシステム
GenericName[ko]=웹 오서링 시스템
GenericName[lt]=Saityno autorizavimo sistema
GenericName[nb]=Webdesignsystem
GenericName[nl]=Webverificatiesysteem
GenericName[pl]=Wizualny edytor stron WWW
GenericName[pt]=Sistema de Autoria Web
GenericName[pt_BR]=Sistema de autoração da Web
GenericName[ro]=Sistem de autorizare web
GenericName[ru]=Система создания веб-страниц
GenericName[sk]=Web Authoring systém
GenericName[tr]=Web Yazarlık Sistemi
GenericName[uk]=Система веб-розробки
GenericName[wa]=Sistinme d' askepiaedje di waibes
GenericName[zh_CN]=网络创作系统
GenericName[zh_TW]=網頁管理系統
Comment=Create Web Pages
Comment[es]=Crea páginas web
Comment[it]=Creare pagine Web
Comment[fr]=Créer des pages Web
Comment[af]=Skep webblaaie
Comment[sq]=Krijo Faqe Interneti
Comment[be]=Стварэньне вэб-старонак
Comment[ast]=Facer páxines web
Comment[bn]=ওয়েব পৃষ্ঠা তৈরি করুন
Comment[bs]=Kreirajte web stranice
Comment[pt_BR]=Crie páginas web
Comment[ca@valencia]=Creeu pàgines web
Comment[ca]=Creeu pàgines web
Comment[bg]=Създаване на уеб страници
Comment[zh_HK]=建立網頁
Comment[zh_CN]=创建网页
Comment[zh_TW]=建立網頁
Comment[crh]=Web sayfaları Oluştur
Comment[nl]=Webpagina's ontwerpen
Comment[da]=Opret websider
Comment[cs]=Tvorba webových stránek
Comment[fi]=Luo WWW-sivuja
Comment[gl]=Cree páxinas web
Comment[de]=Webseiten erstellen
Comment[el]=Δημιουργήστε ιστοσελίδες
Comment[is]=Búa til vefsíður
Comment[hu]=Weboldalak készítése
Comment[ky]=Веб - баракчаларын түзүү
Comment[ms]=Cipta Laman Sesawang
Comment[lt]=Kurkite tinklalapius
Comment[nb]=Opprett websider
Comment[oc]=Crear de paginas Web
Comment[pl]=Doskonały program typu WYSIWYG do szybkiego tworzenia, publikowania i aktualizacji stron internetowych
Comment[pt]=Crie páginas Web
Comment[ro]=Creați pagini web
Comment[sl]=Ustvarjajte spletne strani
Comment[ru]=Создание веб-страниц
Comment[sv]=Skapa webbplatser
Comment[vi]=Tạo trang web
Comment[uk]=Створення веб-сторінок
Comment[tr]=Web sayfaları Oluştur
Exec=%{name}
Icon=%{_libdir}/%{name}/icons/mozicon50.xpm
Terminal=false
MimeType=text/html;text/xml;text/css;text/x-javascript;text/javascript;application/x-php;text/x-php;application/xhtml+xml;
Type=Application
Categories=GTK;Development;WebDevelopment;X-Mageia-CrossDesktop;
EOF

## install  kompozer.desktop
desktop-file-install  --dir=%{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/%_real_vendor-%{name}.desktop 

# manpage:
install -d -m755 %{buildroot}%{_mandir}/man1/
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

# spellchecker support:
install -d -m755 %{buildroot}%{_datadir}/myspell/
rm -rf %{buildroot}%{_libdir}/%{name}/dictionaries/
cd %{buildroot}%{_libdir}/%{name}
ln -s %{_datadir}/myspell %{buildroot}%{_libdir}/%{name}/dictionaries

# cleaning non used devel and debug files
rm %{buildroot}%{_bindir}/%{name}-config
rm -rf %{buildroot}%{_libdir}/pkgconfig/
rm -rf %{buildroot}%{_libdir}/debug/

%files
%doc mozilla/LEGAL mozilla/LICENSE mozilla/README.txt
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*
%{_datadir}/myspell
%{_datadir}/applications/%_real_vendor-%{name}.desktop


%changelog
* Tue Feb 09 2016 umeabot <umeabot> 0.8-0.b3.9.mga6
+ Revision: 951484
- Mageia 6 Mass Rebuild

* Thu Jan 01 2015 wally <wally> 0.8-0.b3.8.mga5
+ Revision: 807989
- redo crmf patch

* Thu Jan 01 2015 wally <wally> 0.8-0.b3.7.mga5
+ Revision: 807979
- add patch to fix linking order
- build with -fno-stack-protector
- add patch to fix str fmt
- build using our build time flags

* Thu Jan 01 2015 wally <wally> 0.8-0.b3.6.mga5
+ Revision: 807941
- add patch to fix build with recent freetype

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

  + alexl <alexl>
    - cleanup spec
    - updated and translated desktop file
    - fixed browser usage (www-browser.patch)

* Sat Oct 19 2013 umeabot <umeabot> 0.8-0.b3.5.mga4
+ Revision: 526146
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.8-0.b3.4.mga4
+ Revision: 435990
- rebuild for new libpng

* Tue Apr 02 2013 zezinho <zezinho> 0.8-0.b3.3.mga3
+ Revision: 407344
- uncompress source1 to prevent double compression of man page #7414

* Wed Jan 16 2013 sander85 <sander85> 0.8-0.b3.2.mga3
+ Revision: 388801
- Fix build on i586 (patch from Arch Linux)
- Add pangox as BR
- Fix build with GCC 4.7

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 15 2012 dams <dams> 0.8-0.b3.1.mga2
+ Revision: 230842
- new version 0.8b3
- remove CVE merged upstream
- add patch to build with libpng15
- clean specfile

* Fri Feb 25 2011 dmorgan <dmorgan> 0.8-0.b1.6.mga1
+ Revision: 59499
- Fix desktop file install
- Add libxt-devel as a buildrequire
- Adapt for mageia
- imported package kompozer


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-0.b1.6mdv2011.0
+ Revision: 606269
- rebuild

* Thu Mar 25 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-0.b1.5mdv2010.1
+ Revision: 527396
- rebuilt against nss-3.12.6

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-0.b1.4mdv2010.1
+ Revision: 511711
- rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-0.b1.3mdv2010.1
+ Revision: 488614
- bump correct release
- P1: security fix for CVE-2009-3560

* Fri Nov 13 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8-0.b1.2mdv2010.1
+ Revision: 465858
- adjust the patch slightly (duh!)
- fix correct release
- bump release
- P0: security fix related to CVE-2009-2625 (rediffed and re-added, duh!)
- remove %%changelog

* Thu Oct 29 2009 Jerome Martin <jmartin@mandriva.org> 0.8-0.b1.1mdv2010.1
+ Revision: 460133
- Fixed BuildRequires
- Fixed group
- Fixed spec file
- Updated to 0.8b1 using Fedora spec file

  + Oden Eriksson <oeriksson@mandriva.com>
    - 0.8a4 (because 0.7.10 is not compatible with GTK 2.14 and higher, hence the crashes.)
    - fixed build deps
    - nuked redundant patches
    - rediffed patches
    - build against system nss/nspr libs and require the latest ones

* Mon Aug 24 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.10-6mdv2010.0
+ Revision: 420377
- P21: security fix related to CVE-2009-2625

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 0.7.10-5mdv2010.0
+ Revision: 419660
- fix wformat patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - adjust the two latest patches a bit

  + Christophe Fergeau <cfergeau@mandriva.com>
    - fix -Wformat warnings
    - fix gcc 4.4 compilation (empty #elif)

* Fri Dec 12 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.10-4mdv2009.1
+ Revision: 313552
- add overflow.patch (fixes the buffer overflow that caused kompozer to crash
  immediately on run, thanks Willem van Engen) (#44830)
- rediff mandriva.patch

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Sep 29 2008 Adam Williamson <awilliamson@mandriva.org> 0.7.10-3mdv2009.0
+ Revision: 289888
- disable underlinking protection as there's an internal issue which cannot
  be easily fixed
- add underlinking.patch: fixes an external underlinking issue
- rebuild for 2009

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.7.10-2mdv2008.1
+ Revision: 150433
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Adam Williamson <awilliamson@mandriva.org> 0.7.10-1mdv2008.0
+ Revision: 89389
- adjust some paths due to an upstream change in directory naming
- fix menu categories (#33660)
- correct build date

  + Funda Wang <fwang@mandriva.org>
    - 0.7.10 final

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Mon Aug 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.7.10-0.rc6.1mdv2008.0
+ Revision: 68024
- Import kompozer

